/*
 * This file is part of the ALT project, module Alt-App-Starter.
 * Copyright (c) BaseALT Ltd 2019,2020 Pavel Moseev <mars@altlinux.org>
 *
 * This is free software; you can use this application under the GNU
 * General Public License, version 2. See the file "COPYING" for the
 * exact licensing terms.
 */

#include <QApplication>
#include <QIcon>
#include <QLibraryInfo>
#include <QTranslator>

#include "mainwindow.h"

int main(int argc, char **argv)
{
    QApplication a(argc, argv);

    QTranslator translator;
    if (translator.load(QLocale::system(), QLatin1String("alt-app-starter"), QLatin1String("_"), QLibraryInfo::location(QLibraryInfo::TranslationsPath)))
    {
        QCoreApplication::installTranslator(&translator);
    }

    MainWindow w;

    if (argc > 1)
    {
        w.setAppName(QString::fromLocal8Bit(argv[1]));
    }

    w.show();
    return a.exec();
}
